devel/sparse - The NetBSD Packages Collection

Semantic parser for C

Sparse, the semantic parser, provides a compiler frontend capable
of parsing most of ANSI C as well as many GCC extensions, and a
collection of sample compiler backends, including a static analyzer
also called "sparse". Sparse provides a set of annotations designed
to convey semantic information about types, such as what address
space pointers point to, or what locks a function acquires or
releases.

Linus Torvalds started writing Sparse in 2003, initially targeting
issues such as mixing pointers to user address space and pointers
to kernel address space.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfsparse-0.4.4nb7.tgz
NetBSD 8.0earmv7hfsparse-0.4.4nb7.tgz
NetBSD 8.0earmv7hfsparse-0.4.4nb7.tgz
NetBSD 8.0i386sparse-0.4.4nb7.tgz
NetBSD 8.0i386sparse-0.4.4nb7.tgz
NetBSD 8.0powerpcsparse-0.4.4nb7.tgz
NetBSD 8.0powerpcsparse-0.4.4nb7.tgz
NetBSD 8.0powerpcsparse-0.4.4nb7.tgz
NetBSD 8.0x86_64sparse-0.4.4nb7.tgz
NetBSD 8.0x86_64sparse-0.4.4nb7.tgz
NetBSD 9.0aarch64sparse-0.4.4nb7.tgz
NetBSD 9.0aarch64sparse-0.4.4nb7.tgz
NetBSD 9.0aarch64sparse-0.4.4nb7.tgz
NetBSD 9.0alphasparse-0.4.4nb7.tgz
NetBSD 9.0alphasparse-0.4.4nb7.tgz
NetBSD 9.0alphasparse-0.4.4nb7.tgz
NetBSD 9.0earmsparse-0.4.4nb7.tgz
NetBSD 9.0earmv6hfsparse-0.4.4nb7.tgz
NetBSD 9.0earmv6hfsparse-0.4.4nb7.tgz
NetBSD 9.0earmv6hfsparse-0.4.4nb7.tgz
NetBSD 9.0earmv6hfsparse-0.4.4nb7.tgz
NetBSD 9.0earmv7hfsparse-0.4.4nb7.tgz
NetBSD 9.0earmv7hfsparse-0.4.4nb7.tgz
NetBSD 9.0earmv7hfsparse-0.4.4nb7.tgz
NetBSD 9.0earmv7hfsparse-0.4.4nb7.tgz
NetBSD 9.0i386sparse-0.4.4nb7.tgz
NetBSD 9.0i386sparse-0.4.4nb7.tgz
NetBSD 9.0mips64ebsparse-0.4.4nb7.tgz
NetBSD 9.0mips64ebsparse-0.4.4nb7.tgz
NetBSD 9.0mips64ebsparse-0.4.4nb7.tgz
NetBSD 9.0powerpcsparse-0.4.4nb7.tgz
NetBSD 9.0powerpcsparse-0.4.4nb7.tgz
NetBSD 9.0sparc64sparse-0.4.4nb7.tgz
NetBSD 9.0sparc64sparse-0.4.4nb6.tgz
NetBSD 9.0sparc64sparse-0.4.4nb7.tgz
NetBSD 9.0sparc64sparse-0.4.4nb7.tgz
NetBSD 9.0sparcsparse-0.4.4nb7.tgz
NetBSD 9.0sparcsparse-0.4.4nb7.tgz
NetBSD 9.0sparcsparse-0.4.4nb7.tgz
NetBSD 9.0x86_64sparse-0.4.4nb7.tgz
NetBSD 9.0x86_64sparse-0.4.4nb7.tgz
NetBSD 9.0x86_64sparse-0.4.4nb7.tgz
NetBSD 9.0x86_64sparse-0.4.4nb7.tgz
NetBSD 9.0x86_64sparse-0.4.4nb7.tgz
NetBSD 9.0x86_64sparse-0.4.4nb7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.